Projects & Environments
GET
/v1/orgs/{org_id}/projects/{project_id}Get Project
Get a single project with its environments.
Bearer token or X-API-Keyscope: org memberoperation_id: projects.get
Authentication
Send either Authorization: Bearer <token> or X-API-Key: <token>. Any org token with sufficient scope. Create tokens from the console or the /v1/orgs/{org_id}/tokens endpoints. Requests without a valid credential are rejected with 401.
SDK install
pip install znyx-sdknpm install @znyx/sdkCode samples
Request
curl -X GET "$ZNYX_API_URL/v1/orgs/00000000-0000-0000-0000-000000000000/projects/00000000-0000-0000-0000-000000000000" \ -H "Authorization: Bearer $ZNYX_TOKEN"
Response
application/json
Successful Response
{
"id": "string",
"org_id": "string",
"name": "string",
"slug": "string",
"environments": [
{}
],
"runtime_keys_created": false,
"runtime_keys": [
{
"env_name": "string",
"env_id": "string",
"raw_key": "string",
"key_prefix": "string",
"expires_at": null
}
],
"created_at": "string"
}Schema: object
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id#path | string | required | - |
| project_id#path | string | required | - |
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-API-Key#header | string | null | optional | - |
| authorization#header | string | null | optional | - |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
idrequiredstring
org_idrequiredstring
namerequiredstring
slugrequiredstring
environmentsobject[]
runtime_keys_createdboolean
runtime_keys
created_atrequiredstring
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | - |
| 403 | Token does not have org access (wrong org_id, or insufficient role). | - |
| 404 | Resource does not exist in this org. | - |